/* for new visuals 2022
  https://www.figma.com/file/uMkgpjnE3E5GpRr18Vjshn/Kaskas_frontpage?node-id=0%3A172
https://drive.google.com/drive/folders/148XcJjjZdee_BoMqWmnHEFLWd-2SVlFF
*/
/*
.tm-header {
}

.uk-sticky-placeholder {
  height: auto !important;
}

.uk-sticky-placeholder:after {
    content: '';
    display: block;
    height: 100vh;
    width: 100%;
    top: 0;
    background-color: #3D267D;
    z-index: -1;
}
.page-header-menu-bar {
    background-color: #3D267D;
    border-bottom: none;
}
.tm-site-branding::after {
  content: 'Kaskas Media on tutkimukseen, osallisuuteen ja vastuullisuuteen erikoistunut viestintätoimisto.';
  display: block;
}
*/

:root {
  --header-height: 61px;
  --content-padding: 50px;
  
  --font-size-p: 20px;
  --font-size-footer: 18px;
  --font-size-p-serif: 22px;
  --font-size-h1: 100px;
  --font-size-h2: 65px;
  --font-size-h3: 32px;
  --font-size-button: 12px;
  --font-size-quote: 56px;
  --font-size-page-quote: 40px;
  --font-size-quote-cite: 20px;
}

@media screen and (max-width: 1024px) {
  :root {
    --header-height: 61px;
    --content-padding: 25px;
    
    --font-size-p: 20px;
    --font-size-footer: 18px;
    --font-size-p-serif: 22px;
    --font-size-h1: 100px;
    --font-size-h2: 65px;
    --font-size-h3: 32px;
    --font-size-button: 12px;
    --font-size-quote: 56px;
    --font-size-quote-cite: 20px;
  }
}

@media screen and (max-width: 599px) {
  :root {
    --header-height: 61px;
    --content-padding: 25px;
    
    --font-size-p: 15px;
    --font-size-footer: 10px;
    --font-size-p-serif: 15px;
    --font-size-h1: 40px;
    --font-size-h2: 40px;
    --font-size-h3: 25px;
    --font-size-button: 10px;
    --font-size-quote: 20px;
    --font-size-page-quote: 20px;
    --font-size-quote-cite: 10px;
  }
}

/* maalarinteippi / testing */

/*
#menu-navigation-fi li[itemprop='name'] {
  display: none
}
*/

/* layout */

.uk-container {
  max-width: 1440px;
  padding: 0 var(--content-padding);
}

.tm-centered-content,
.layoutArea .column,
body:not(.page-template-page-wide):not(.page-template-page-entry) .tm-main .uk-container article .tm-article-content,
.case-subtitle {
  /*max-width: calc(830px + 2 * var(--content-padding));*/
  max-width: 830px;
  margin-left: auto;
  margin-right: auto;
  font-style: normal;
}

.home  .tm-main .uk-container article .tm-article-content, .page-id-5562 .tm-main .uk-container article .tm-article-content,
.archive .tm-main .uk-container article .tm-article-content,
.blog .tm-main .uk-container article .tm- article-content,
.page-template-page-palvelut .tm-main .uk-container article .tm-article-content {
  max-width: 1440px;
}

body.page-template-page-entry .uk-container {
  max-width: 100%;
  padding: 0 var(--content-padding);
}

body.page-template-page-entry .tm-main .uk-container article .tm-article-content > * {
  width: 1130px;
  max-width: 100%;
  margin-left: auto;
  margin-right: auto;
}

body.page-template-page-entry .tm-main .uk-container article .tm-article-content > *.alignfull {
  max-width: none;
  width: calc(100% + 2 * var(--content-padding));
  margin-left: calc(-1 * var(--content-padding));
  margin-right: calc(-1 * var(--content-padding));
}

body.page-template-page-entry #cookie-law-info-bar {
  display: none !important;
}
body.page-template-page-entry #cookie-law-info-again {
  display: none !important;
}

.uk-grid-medium.kaskas-services,
.kaskas-wide-grid .uk-grid-medium,
.kivijalka-tyot .uk-grid-medium,
.blog .uk-grid-medium {
    margin-left: -90px;
}

.uk-grid-medium.kaskas-services > .uk-width-small-1-2,
.kaskas-wide-grid .uk-grid-medium > .uk-width-small-1-2,
.kivijalka-tyot .uk-grid-medium > .uk-width-small-1-2,
.blog .uk-grid-medium > .uk-width-small-1-2  {
    padding-left: 90px;
}

.uk-flex-center.uk-nav {
  flex-direction: column;
  align-items: center;
}


/*
.tm-main .uk-container {
  max-width: calc(830px + 2 * var(--content-padding));
}


.home  .tm-main .uk-container, .page-id-5562 .tm-main .uk-container,
.archive .tm-main .uk-container,
.blog .tm-main .uk-container,
.page-template-page-palvelut .tm-main .uk-container {
  max-width: 1440px;
}
*/


/*
.single .uk-container .tm-content, .page .uk-container .tm-content {
    max-width: 930px;
    margin: 0 auto;
}
*/

/* typography */

@font-face{
  font-family:'NB-Akademie';
  src:url("assets/fonts/NB-Akademie-Light.otf") format("opentype");
  font-weight:300;
  font-style:normal;
}
@font-face{
  font-family:'NB-Akademie';
  src:url("assets/fonts/NB-Akademie-Light-Italic.otf") format("opentype");
  font-weight:300;
  font-style:italic;
}
@font-face{
  font-family:'NB-Akademie';
  src:url("assets/fonts/NB-Akademie-Medium.otf") format("opentype");
  font-weight:500;
  font-style:normal;
}
@font-face{
  font-family:'NB-Akademie';
  src:url("assets/fonts/NB-Akademie-Medium-Italic.otf") format("opentype");
  font-weight:500;
  font-style:italic;
}

@font-face{
  font-family:'BeaufortProLight';
  src:url("assets/fonts/BeaufortProLight.woff2") format("woff2"),url("assets/fonts/BeaufortProLight.woff") format("woff");
  font-weight:300;
  font-style:normal;
}

@font-face {
  font-family: 'lala_social';
  src: url('assets/fonts/lala_social.eot?30820462');
  src: url('assets/fonts/lala_social.eot?30820462#iefix') format('embedded-opentype'),
       url('assets/fonts/lala_social.woff2?30820462') format('woff2'),
       url('assets/fonts/lala_social.woff?30820462') format('woff'),
       url('assets/fonts/lala_social.ttf?30820462') format('truetype'),
       url('assets/fonts/lala_social.svg?30820462#lala_social') format('svg');
  font-weight: normal;
  font-style: normal;
}

[class^="icon-"]:before, [class*=" icon-"]:before, .social a:before {
  font-family: "lala_social";
  font-style: normal;
  font-weight: normal;
  speak: none;
 
  display: inline-block;
  text-decoration: none;
  width: 1em;
  margin-right: .2em;
  text-align: center;
  /* opacity: .8; */
 
  /* For safety - reset parent styles, that can break glyph codes*/
  font-variant: normal;
  text-transform: none;
 
  /* fix buttons height, for twitter bootstrap */
  line-height: 1em;

 
  /* you can be more comfortable with increased icons size */
   font-size: 150%; 
 
  /* Font smoothing. That was taken from TWBS */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
 
  /* Uncomment for 3D effect */
  /* text-shadow: 1px 1px 1px rgba(127, 127, 127, 0.3); */
  
  color: var(--wp--preset--color--color-3);
  
}

.icon-flickr:before, .social  a[href*="flickr.com"]:before { content: '\f303'; } 
.icon-flickr-circled:before { content: '\f304'; } 
.icon-vimeo:before, .social  a[href*="vimeo.com"]:before { content: '\f306'; }
.icon-vimeo-circled:before { content: '\f307'; } 
.icon-twitter:before, .social a[href*="twitter.com"]:before  { content: '\f309'; }
.icon-twitter-circled:before { content: '\f30a'; } 
.icon-facebook:before, .social a[href*="facebook.com"]:before   { content: '\f30c'; } 
.icon-facebook-circled:before { content: '\f30d'; } 
.icon-linkedin:before, .social a[href*="linkedin.com"]:before { content: '\f318'; } 
.icon-linkedin-circled:before { content: '\f319'; } 
.icon-instagram:before, .social a[href*="instagram.com"]:before  { content: '\f32d'; }
.icon-youtube:before, .social a[href*="youtube.com"]:before { content: '\f167'; }
.icon-pinterest:before, .social a[href*="pinterest.com"]:before { content: '\f312'; } 
.icon-pinterest-circled:before { content: '\f313'; } 
.icon-behance:before, .social a[href*="behance.net"]:before { content: '\f34e'; }
.icon-mail:before { content: '\e800'; } 

.socialmedia a {
  margin-right: 0.5em;
}

html {
  font-family: 'NB-Akademie', sans-serif;
  line-height: 1.075;
  scroll-behavior: smooth;
}

body {
  background-color: var(--wp--preset--color--background-1);
}

body.page-template-page-entry {
  background-color: var(--kaskas-bg-color-entry);
}

/*
.page .front-page-section-works h2.uk-article-title {
    text-align: left;
    font-size: 20px;
    color: #000;
}
*/

b, strong {
    font-weight: 500;
}

h1, h2, .uk-article .uk-article-title {
  font-family: 'BeaufortProLight', serif;
  font-weight: 300;
  /*color: var(--wp--preset--color--color-3);*/
  color: #000;
}

.single .blog-article p,
.front-page-section-header h2,
h2.kaskas-category,
.front-page-section-works h2.uk-article-title,
.kivijalka-tyot h2.uk-article-title,
.blog .uk-article h2.uk-article-title,
.load-more-h2,
h3, h4, h5, h6, p, li, form,
.uk-navbar-nav > li > a,
.related-h2 {
  font-family: 'NB-Akademie', sans-serif;
  font-weight: 300;
}

p {
  
}

h2.kaskas-category,
p, li,
.uk-navbar-nav > li > a,
.person-p  {
  font-size: var(--font-size-p); /*20px;*/
  line-height: 1.18;
}
.footer-link-list > li,
.footer-kaskas p {
  font-size: var(--font-size-footer); /*18px;*/
  font-weight: 300;
  line-height: 1.2;
}
.footer-link-list > li:first-child {
  margin-top: 0;
}

li {
  margin-top: 0.5em;
  line-height: 1.2;
}

.kaskas-kivijalka p,
.blog-article p,
.wp-block-media-text__content p:not(.kaskas-category) {
  font-family: 'BeaufortProLight', serif;
  font-weight: 300;
  font-size: var(--font-size-p-serif); /*22px*/
  line-height: 1.18;
}

.blog-article em {
  color: inherit;  
}

em {
  color: inherit;  
}

h1, h2, h3, h4, h5, h6, p, ul, ol {
  margin-top: 1em;
  margin-bottom: 0.5em;
}

.wp-block-column h2:first-child,
.wp-block-column h3:first-child,
.wp-block-column .h3:first-child {
  margin-top: 0;
}
h1.uk-article-title,
h1, .h1 {
  font-size: var(--font-size-h1); /*100px*/
  font-weight: 300;
  line-height: 1.075;
}

.single h1.uk-article-title,
h2, .h2
/*,.uk-form input[type="text"],
.uk-form input[type="email"],
.uk-form input[type="number"]*/ {
  font-size: var(--font-size-h2); /*56px*/
  line-height: 1.075;
}

.blog-article h2,
h3, .h3,
.uk-article h2.uk-article-title,
.uk-article h2.load-more-h2,
.person-title {
  font-size: var(--font-size-h3); /*32px*/
  line-height: 1.075;
}

.blog-article h2 {
  font-weight: 500;
}

.kaskas-form input[type="submit"],
.wp-block-button__link,
.heading-caps,
.kaskas-form label,
.uk-button {
  font-family: "NB-Akademie", sans-serif;
  font-size: var(--font-size-button); /*12px*/
  font-weight: 500;
  line-height: 1.075;
  text-transform: uppercase;
  letter-spacing: 1px;
}

/*
.page-id-5562 ul {
  color: var(--wp--preset--color--color-3);
}
*/
/* links */

p a, a {
  text-underline-offset: 0.1em;
}
.front-page-section .front-page-section-footer a {
    text-transform: none;
    letter-spacing: inherit;
    border-bottom: none;
    padding-bottom: 5px;
    letter-spacing: normal;
    font-size: var(--font-size-h3); /*32px*/
}
.front-page-section .front-page-section-footer a:hover,
p a:hover,
a:hover,
.first-blog-post h1 a:hover,
.no-hover-decoration:hover {
    color: inherit;
    text-decoration: underline !important;
}
a.blog-read-more {
  border-bottom: none;
  text-decoration: underline;
}
.blog-read-more:hover {
    text-decoration: underline;
    color: #000;
}
.footer-some {
    border-bottom: none;
}
.link-underlined::after {
    content: none;
}

/* splash */

.splash, .uk-overlay .uk-overlay-background,
.hover-picture:hover {
	background-color: var(--wp--preset--color--color-4) !important;
}

/* header */
.uk-sticky-placeholder {
  height: var(--header-height) !important;
  position: relative;
  z-index: 2;
}
.page-header-menu-bar {
  background-color: var(--wp--preset--color--color-3);
  border-bottom: none;
  color: #fff;
  padding-bottom: 1em;
  padding-top: 1em;
}
.tm-header-transparent .page-header-menu-bar {
  background-color: transparent;
}

html[data-scroll='1'] .page-header-menu-bar {
  background-color: var(--wp--preset--color--color-3);
  transition: background-color 300ms linear;
}

.uk-navbar {
    color: #fff;
}

.uk-navbar .lang-item.current-lang > a,
.tm-site-branding, .tm-site-branding a,
.uk-navbar-nav > li > a {
    color: #fff;
}
.uk-navbar .lang-item {
  text-transform: uppercase;
}
.uk-navbar .lang-item a {
  margin-right: 0;
  text-transform: uppercase;
}
.uk-navbar .lang-item::before {
  content: none;
}

.uk-navbar-nav > li:hover > a, .uk-navbar-nav > li > a:focus, .uk-navbar-nav > li.uk-open > a {
    color: #fff;
}

.uk-navbar-nav > li > a:hover {
    text-decoration: none;
    color: #fff;
    /*font-weight: 600;*/
}

.uk-navbar-nav > li > a::after {
    content: "";
    position: absolute;
    left: 0%;
    bottom: 0;
    right: 100%;
    border: #fff 0 solid;
    border: none;
    font-weight: 500;
    opacity: 0;
    transition: 0.8s linear left,1s linear right,0.8s ease opacity;
}

.uk-navbar .lang-item.current-lang > a {
  font-weight: 500;
}

.uk-navbar .lang-item.current-lang > a::after {
    content: none;
    border: #fff 1px solid;
    border: none;
}

.uk-navbar-nav > li > a:hover::after {
  content: none;
    left: 0;
    right: 0;
    /*border: #fff 1px solid;*/
    border: none;
    opacity: 1;
}

.uk-navbar-nav > li > a:active::after, .uk-navbar-nav > li.uk-active > a::after {
  content: none;
  border: #fff 1px solid;
  border: none;
}

.uk-navbar-nav > li > a:active, .uk-navbar-nav > li.uk-active > a {
  font-weight: 500;
  color: #fff;
}

.uk-navbar .lang-item.current-lang > a {
    bottom: auto;
}

.icon-bar {
    border-top: 1px solid #fff;
    border-bottom: 1px solid #fff;
}

.uk-nav-offcanvas .menu-item a, .uk-nav-offcanvas .lang-item a {
    padding-bottom: 0;
    border-bottom: #000 2px solid;
}

/* contact */

.uk-offcanvas-bar {
    background: #FAC2FF;
}
.kaskas-close-button {
    -webkit-text-stroke: 7px #FAC2FF; 
}

/* hero */

.tm-main {
  padding-top: 0px;
}
.tm-hero {
  padding-bottom: 0px;
  padding-top: 0px;
}
.tm-main  > .tm-hero.uk-container {
  margin-top: calc(-1 * var(--header-height));
  margin-bottom: 100px;
  height: 70vh;
  min-height: 670px;
  max-width: 100%;
  width: 100%;
  padding: 0;
  position: relative;
}
.page-template-page-entry  .tm-main  > .tm-hero.uk-container {
  margin-bottom: 0;
}

/* only on front page? */
.tm-main > .tm-hero + .uk-container article {
  padding-top: 0;
}
.tm-hero-container {
  position: absolute;
  /*height: calc(100% - 100px);
  width: calc(100% - 100px);*/
  height: calc(100%);
  width: calc(100%);
  background-color: var(--wp--preset--color--color-3);
  /* background-image: url(assets/images/ihmetys.svg); */
  background-position: top;
  background-repeat: no-repeat;
  background-size: cover;
  /*padding: 50px;*/
  
  display: flex;
  justify-content: center;
  align-items: center;
}

.page-template-page-entry  .tm-main  > .tm-hero.uk-container {
  height: auto;
  padding-top: 54%;
  min-height: 0;
  margin-top: 0;
}
.page-template-page-entry .tm-hero-container {
  top: 0;
}

.tm-hero-inner-container {
    width: calc(100% - 100px);
    max-width: calc(1440px - 100px);
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    align-content: center;
    gap: 50px;
    padding: 50px;
}

.tm-hero-inner-container img {
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  width: 1000px;
}

.tm-main  > .tm-hero h2 {
  color: #fff;
  margin: 0;
  text-align: center;
  max-width: 650px;
}

.tm-main  > .tm-hero.tm-hero-no-image {
  height: auto;
  margin-top: 0;
}

.tm-main  > .tm-hero.tm-hero-no-image .tm-hero-container {
  /*margin-top: var(--header-height);*/
  position: static;
  background-color: transparent;
}

.tm-main  > .tm-hero.tm-hero-no-image .tm-hero-inner-container {
  padding: 0;
}

/* front page works */

.front-page-section .front-page-section-header {
    text-align: left;
    margin-bottom: 2em;
}

.front-page-section .front-page-section-header + div {
  margin-top: 0 !important;
}

@media (min-width: 480px) {
  .front-page-section-works .uk-width-small-1-2 {
      width: 20%;
  }
  .front-page-section-works .uk-width-small-1-2:first-child {
      width: 40%;
  }
}
.front-page-section-works .uk-width-small-1-2 .single-big-picture {
    width: 100%;
    padding-top: 100%;
}
.front-page-section-works .uk-width-small-1-2:first-child .single-big-picture {
    width: 100%;
    padding-top: 75%;
}


.page .front-page-section-works h2.uk-article-title,
.kivijalka-tyot h2.uk-article-title,
.blog .uk-article h2.uk-article-title,
.load-more-h2,
.related-h2 {
  font-weight: 500;
  text-align: left;
  font-size: var(--font-size-p);
  color: #000;
  margin-top: 0.3em;
}

.blog .uk-article h2.uk-article-title {
  margin-top: 1.2em;
}

/* front page quotes */

.kaskas-sitaatti-karuselli {
  height: 300px;
  overflow: hidden;
  position: relative;
  /*
  position: relative;
  height: 15em;
  */
}
.kaskas-sitaatti-karuselli blockquote {
  
  margin-top: 0;
  margin-bottom: 0;
  position: absolute;
  top: 0;
  /*
  position: absolute;
  top: 0;
  margin-top: 0;
  margin-bottom: 0;
  */  
  opacity: 0;
}

.kaskas-sitaatti-karuselli blockquote.kaskas-sitaatti-visible {
  opacity: 1;
  animation: fadeInFromNone 1.5s ease-in-out;
}

@keyframes fadeInFromNone {
    0% {
        opacity: 0;
    }
    
    33% {
        opacity: 0;
    }
    
    100% {
        opacity: 1;
    }
}

.kaskas-sitaatti-karuselli blockquote.kaskas-sitaatti-hidden {
  opacity: 0;
  animation: fadeOutFromNone 0.5s ease-in-out;
}

@keyframes fadeOutFromNone {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

/* posts, pages */

/*
.uk-text-center {
  max-width: 830px;
  margin-left: auto;
  margin-right: auto;
}
*/

.post-header-subtitle,
.socialmedia {
  max-width: 830px;
  margin-left: auto;
  margin-right: auto;
}

.single-big-picture {
    background-color: var(--wp--preset--color--color-3);
}

.post-header-content .uk-article-title, .tm-hero h1 {
  /*margin-top: 1em;*/
  margin-bottom: 0.5em;
}

.tm-hero h1,
.page .post-header-content h1.uk-article-title {
  /*color: var(--wp--preset--color--color-3);*/
  color: #000;
  text-align: center;
}

.uk-article {
  background-color: transparent;
}

.uk-article .post-header-content {
    margin-bottom: 0px;
    margin-top: 1em;
}

.heading-caps.meta-categories {
  color: var(--wp--preset--color--color-8);
}

/* blogi */
.index-list p {
    font-family: inherit;
}


/* posts */

.tm-article-image {
    margin-top: 0;
    margin-bottom: 0;
}

/* wp blocks */

/* media & text */

.wp-block-media-text {
  margin-left: calc(-1 * var(--content-padding) / 2);
  margin-right: calc(-1 * var(--content-padding) / 2);
}

.wp-block-media-text__content h2 {
  margin-top: 0.5em;
}

 .wp-block-media-text__content .kaskas-category + h2 {
  margin-top: 0.25em;
}


.wp-block-media-text .wp-block-media-text__content {
  padding: 0 var(--content-padding) 0 calc(var(--content-padding) / 2);
}

.wp-block-media-text.kaskas-symbol .wp-block-media-text__media img {
  max-width: 350px;
  display: block;
  margin: 0 auto;
}

/* kaskas-wide */

.kaskas-wide {
  width: 1230px;
  margin-left: -200px;
}

.wp-block-media-text + .wp-block-columns {
  margin-top: 8em;
}

@media (max-width: 1230px) {
  .kaskas-wide {
    width: auto;
    margin-left: auto;
  }
}

/* image */

.single .tm-article-image,
article .wp-block-image {
  width: calc(100% + 2 * 48px);
  margin-top: 4em;
  margin-bottom: 4em;
  margin-left: -48px;
}

.single .tm-article-image {
  margin-top: 0;
  margin-bottom: 1em;
}

@media (max-width: 926px) {
  .single .tm-article-image,
  article .wp-block-image {
    width: calc(100% + 2 * 25px);
    margin-left: -25px;
  }
}

/* columns */

.wp-block-column:not(:first-child) {
    margin-left: var(--content-padding);
}

/* buttons */

.wp-block-buttons {
  margin-top: 3em;
}

.wp-block-button__link {
  padding: calc(3em + 2px) calc(5em + 2px);
}

.kaskas-form input[type="submit"],
.uk-button {
  padding: calc(1em + 2px) calc(5em + 2px);
  border: solid 1px #fff;
  border-radius: 0;
  background-color: transparent;
  color: #fff;
}

.kaskas-newsletter-popup .uk-button,
.kaskas-form input[type="submit"] {
  font-family: "NB-Akademie", sans-serif;
  background-color: var(--wp--preset--color--color-8);
  border: none;
  transition: none;
}
.kaskas-footer-btn:hover,
.wp-block-button.is-style-fill a:hover {
    background-color: var(--wp--preset--color--color-3) !important;
    color: #fff !important;  
    text-decoration: none !important;
}

/* forms */

.uk-form input, .uk-form select, .uk-form textarea {
    font-size: var(--font-size-p);
    font-weight: 300;
}

input.kaskas-input,
.kaskas-form textarea.kaskas-input {
    border: none !important;
    /*color: #fff !important;*/
    background-color: #FAC2FF !important;
    border-radius: 0 !important;
    width: 100%;
    transition: none;
    margin-top: 8px;
}
.kaskas-form > * {
  margin-bottom: 1.5em;
}

.kaskas-newsletter-form input[type="email"] {
    height: auto;
    padding: 0;
    border: 0;
    border-bottom: solid 1px #fff;
    background-color: transparent;
    color: #fff;
    -webkit-transition: none;
    transition: none;
    border-radius: 0;
    flex-basis: 100%;
}
.kaskas-newsletter-form input[type="text"], .kaskas-newsletter-form input[type="email"] {
    font-size: 56px;
    line-height: 1.075;
}
.kaskas-newsletter-form input::placeholder {
  color: rgba(255,255,255,0.5);
}
.kaskas-newsletter-form input[type="email"]:focus {
  border-color: inherit;
  outline: 0;
  background: inherit;
  color: inherit;
}
form.kaskas-newsletter-form {
  display: flex;
  justify-content: space-between;
  gap:  var(--content-padding);
}

/* quote */

body:not(.home) blockquote:not(.kaskas-nosto-blockquote) p {
  font-size: var(--font-size-page-quote);
}

body:not(.home) blockquote:not(.kaskas-nosto-blockquote)  {
  width: calc(100% + 2 * 96px);
  margin-left: -96px;
  text-align: left;
  max-width: 740px;
  margin-top: 2em;
  margin-bottom: 2em;
}

@media (max-width: 1022px) {
  body:not(.home) blockquote:not(.kaskas-nosto-blockquote)  {
    width: auto;
    margin-left: 0;
  }
}

.wp-block-pullquote blockquote, .wp-block-pullquote cite, .wp-block-pullquote p, blockquote {
  color: #960069;
}

blockquote:not(.kaskas-nosto-blockquote) {
    padding-left: 0;
    border-left: none;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

blockquote:not(.kaskas-nosto-blockquote) > * {
	width: 100%;
	max-width: 935px;
	margin-top: 0;
	margin-bottom: 0.5em;
}
blockquote p,
.single .blog-article blockquote p {
  font-family: "BeaufortProLight", serif;
  font-weight: 300;
  font-style: normal;
  line-height: 1.2;
}
body.home blockquote:not(.kaskas-nosto-blockquote) p
/*.single .blog-article blockquote:not(.kaskas-nosto-blockquote) p*/ {
  font-size: var(--font-size-quote); /*56px*/
  line-height: 1;
}
blockquote:not(.kaskas-nosto-blockquote) cite {
  font-size: var(--font-size-quote-cite); /*20px*/
  font-style: normal;
  font-weight: 300;
}

/* kivijalka työt */
/*.kaskas-wide-grid*/
.related-posts,
.kivijalka-tyot {
  width: calc(100% + 2 * 200px);
  margin-top: 4em;
  margin-bottom: 4em;
  margin-left: -200px;
}

@media (max-width: 1230px) {
/*  .kaskas-wide-grid,*/
  .related-posts,
  .kivijalka-tyot {
    width: auto;
    margin-left: 0;
  }
}

.tm-footer {
    background-color: #960069;
}
.footer-link-list {
    margin-left: 2em;
    margin-top: 0;
}

.footer-kaskas {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  color: #fff;
  min-height: 600px;
  position: relative;
}

.footer-kaskas::before {
    content: '';
    background-image: url('assets/images/Kaskas_Bee_Purple.svg');
    width: 250px;
    height: 250px;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: right;
    position: absolute;
    right: 0;
    top: -100px;
}

.kaskas-footer-details {
  display: flex;
  justify-content: space-between;
}

.kaskas-footer-details p:first-child {
  margin-top: 0;
}

.footer-kaskas a {
  color: #fff;
  text-decoration: underline;
}

.footer-kaskas-upper {
  display: flex;
  justify-content: space-between;
}
.footer-kaskas-lower {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
}
.footer-kaskas-lower > div:first-child {
  flex-basis: 60%;
  max-width: 600px;
}
.footer-kaskas-lower > div:last-child {
  display: flex;
  justify-content: flex-end;
  flex-basis: 40%;
  gap: var(--content-padding);
}
.footer-kaskas-lower > div:last-child p {
  margin: 0;
}

.kaskas-footer-logo {
  margin-bottom: 2em;
}

.footer-kaskas .kaskas-footer-logo img {
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    width: 320px;
    max-width: 100%;
}

@media screen and (max-width: 900px) {
  .footer-kaskas::before {
    width: 120px;
    height: 120px;
    top: -50px;
  }
  .footer-kaskas-lower {
    flex-wrap: wrap;
  }
  .kaskas-newsletter-block .h3 {
    font-size: var(--font-size-p);
    max-width: 250px;
  }
  .kaskas-newsletter-form input[type="text"], .kaskas-newsletter-form input[type="email"] {
    font-size: var(--font-size-p);
  }
  .kaskas-form input[type="submit"], .uk-button {
    padding: calc(1em + 2px) calc(1em + 2px);
  }
}

@media (max-width: 599px) {
  .wp-block-column:not(:first-child) {
      margin-left: 0;
  }
  .tm-main  > .tm-hero.uk-container {
    min-height: auto;
    max-height: 260px;
    margin-bottom: 25px;
  }
  .wp-block-media-text {
    margin-left: 0;
    margin-right: 0;
  }
  .wp-block-media-text .wp-block-media-text__content {
    padding: 0;
  }
  .wp-block-button__link {
    padding: calc(2em + 2px) calc(3em + 2px);
  }
  .uk-margin-large-bottom {
    margin-bottom: 0px !important;
  }
  .wp-block-media-text.kaskas-symbol .wp-block-media-text__media img {
    max-height: 150px;
    width: auto;
  }
  .wp-block-media-text__content .kaskas-category {
    margin-top: 2em;
  }
  blockquote {
    text-align: center;
    margin-top: 2em;
  }
  blockquote cite {
    max-width: 200px;
    margin-left: auto;
    margin-right: auto;
    line-height: 1.2em;
  }
  p.h3 {
    font-family: 'BeaufortProLight', serif;
    font-size: var(--font-size-p);
    line-height: 1.18;
  }
  .kaskas-newsletter-block .h3 {
    font-size: var(--font-size-p);
    max-width: 250px;
  }
  .kaskas-newsletter-form input[type="text"], .kaskas-newsletter-form input[type="email"] {
    font-size: var(--font-size-p);
  }
  .kaskas-form input[type="submit"], .uk-button {
    padding: calc(1em + 2px) calc(1em + 2px);
  }
  .kaskas-footer-logo {
    max-width: 110px;
  }
  .footer-kaskas {
    min-height: 300px;
  }
  .footer-kaskas-lower > div:first-child {
    flex-basis: 100%;
  }
  .footer-kaskas-lower > div:last-child {
    margin-top: 4em;
    flex-basis: 100%;
  }
  .footer-link-list > li {
    margin-top: 0;
  }
  .home .uk-article h2.uk-article-title {
      line-height: 1.2;
  }
  .kaskas-sitaatti-karuselli {
    height: 100px;
  }

}  

/* 2022 fixes */

@media (min-width: 768px) {
  .uk-width-medium-2-3, .uk-width-medium-4-6 {
      width: auto;
  }
}

@media (max-width: 480px) {
  .home .tm-site {
    margin-top: -14px;
  }
  .home .kaskas-mobile-button {
        padding: 9px;
  }
  .home h2, .home .uk-h2 {
    font-size: var(--font-size-h2);
    line-height: 1.075;
  }
  .home .h3 {
    font-size: var(--font-size-h3);
    line-height: 1.075;
  }
  .home h2.kaskas-category {
    font-size: var(--font-size-p);
    line-height: 1.18;
  }
  .home .kaskas-newsletter-block .h3 {
    font-size: var(--font-size-p);
    max-width: 250px;
  }
  .home p.h3 {
    font-family: 'BeaufortProLight', serif;
    font-size: var(--font-size-p);
    line-height: 1.18;
  }
}

/* article image fix 8.6.2022 */
.uk-width-xxlarge-1-1 {
    width: 100%;
}

.grecaptcha-badge {opacity:0}